#include <hmg.ch>

Function Main

   local oDB := nil
   local cKey := 'srgiri1'
   local cFile := 'sampledb.db'
   local aTable := {}
   
   if file( cFile )
      oDB := connect2db( cFile, .f. )
      if oDB == Nil
         msgstop( 'Database File can not be connected' )
      else
         msginfo( iif( miscsql( oDB, 'pragma key = ' + c2sql( cKey ) ), 'Encryption Key is set', 'Encryption key can not be set' ) )
         aTable := sql( oDB, 'select name, city from address' )
         if len( aTable ) > 0
            msginfo( 'Name:' + aTable[ 1, 1 ] + ' City:' + aTable[ 1, 2 ] )
         else
            msginfo( 'File is encrypted!')         
         endif
         miscsql( oDB, 'update address set city = ' + c2sql( 'Madurai' ) )
         aTable := sql( oDB, 'select sqlite_version()' )
         if hmg_len(aTable) > 0
            msginfo( aTable[1, 1])
         endif   
      endif   
   else
      oDB := connect2db( cFile, .t. )
      if oDB == Nil
         msgstop( 'Database File can not be connected' )
      else
         msginfo( iif( miscsql( oDB, 'pragma key = ' + c2sql( cKey ) ), 'Encryption Key is set', 'Encryption key can not be set!' ) )
         msginfo( iif( miscsql( oDB, 'create table address (name, city)' ), 'Table is created successfully!', 'Table can not be created!' ) )
         msginfo( iif( miscsql( oDB, 'insert into address ( name, city ) values ( ' + c2sql( 'Name1' ) + ', ' + c2sql( 'City1' ) + ' )' ), 'Sample Data updated', 'sample data can not be updated!' ) )
      endif
   endif      
Return nil
Return
